=== debian/changelog ===
uim (1:1.8.6-8) unstable; urgency=medium

  * debian/control
    - depends emacs24 instead of emacs23. emacs23 has been removed from jessie.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 13 Nov 2014 22:07:00 +0900

uim (1:1.8.6-7) unstable; urgency=medium

  * Add a workaround for gtk+ >= 3.7.8 (Closes: #752226).
    - debian/patches/workaround_for_gtk3_higher_3.7.8.patch: new file.
    - debian/patches/series: update.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 21 Jun 2014 21:37:07 +0900

uim (1:1.8.6-6) unstable; urgency=medium

  * debian/README.Debian: remove "framebuffer" from "Using uim-fep".
  * debian/README.Debian.uim-fep: add config example for Using uim-fep.
  * support alternatives for uim-toolbar requested by im-config.
    - debian/uim-common.{postinst,prerm}; new file.
    - debian/uim-gtk3.{postinst,prerm}; new file.
    - debian/uim-gtk2.0.{postinst,prerm}; new file.
    - debian/uim-qt.{postinst,prerm}; new file.
  * fix FTBFS on ppc64el. pick up from uim 1:1.8.6-4ubuntu1.
    thanks to Matthias Klose <doko@ubuntu.com> (Closes: #744673).
    - debian/patches/ppc64el.patch: new file
    - debian/rules: use autotools_dev with dh.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 24 Apr 2014 18:22:58 +0900

uim (1:1.8.6-5) unstable; urgency=medium

  * debian/control: uim-tcode depends t-code-common instead of t-code.
  * add note for uim-fep (Closes: #743277).
    - debian/README.Debian: add note.
    - debian/README.Debian.uim-fep: new file.
    - debian/uim-fep.docs: add README.Debian.uim-fep.
  * bump up Standards-Version 3.9.5

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 02 Apr 2014 20:57:16 +0900

uim (1:1.8.6-4) unstable; urgency=low

  * debian/control: use automake instead of automake1.10 (Closes: #724442).
  * debian/patches/close_socket_after_uim_skk_requests_disconnection.patch
    - cherry-pick from upstream.
    - close socket after uim-skk requests disconnection (Closes: #727086).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Thu, 24 Oct 2013 11:08:20 +0900

uim (1:1.8.6-3) unstable; urgency=low

  * drop uim-prime.
    - debian/uim-prime.install: remove.
    - debian/uim-prime.postinst: remove.
    - debian/uim-prime.prerm: remove.
    - debian/libuim-data.install: add uim-prime's scm.
    - debian/uim-common.install: add uim-prime's icon.
    - debian/README.Debian: remove uim-prime.
    - debian/control: remove prime from b-d.
      add Breaks/Replaces: uim-prime to uim-common and libuim-data.
    - debian/rules: remove uim-prime from override_dh_link.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 15 Sep 2013 02:04:17 +0900

uim (1:1.8.6-2) unstable; urgency=low

  * debian/control
    - tighten dependency avoid broken-symlink library (Closes: #715123).
  * debian/patches/pass_cppflags_to_cmake_cxx_flags.patch: New file.
    - pass CPPFLAGS to CMAKE_CXX_FLAGS for hardening.
  * debian/patches/fix_spelling_error_sigscheme.patch
    - fix spelling error sigscheme: charater character.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 06 Jul 2013 19:16:28 +0900

uim (1:1.8.6-1) unstable; urgency=low

  * New upstream release.
    - Avoid a crash when a Canna server name is specified.
      Thanks to Kouichi ONO <kou1.ono@gmail.com> (Closes: #713997).
  * debian/uim-el.emacsen-startup
    - do not require uim-leim if LOGNAME is root (Closes: #671818).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 30 Jun 2013 21:54:51 +0900

uim (1:1.8.5-2) unstable; urgency=low

  * drop im-switch support (Closes: #629490)
    - debian/README.Debian: remove im-switch documentation.
    - debian/control: drop Recommendation.
    - debian/im-switch/: drop directory.
    - debian/rules: drop installation stuff.
    - debian/uim-xim.{postinst,prerm}: drop update-alternatives stuff.
  * drop obsoleted DMUA header.
    - debian/control: remove DM-Upload-Allowed: yes.
  * drop transitional packages: uim-qt3 uim-applet-kde uim-hangul.
    - debian/control: drop transitional packages.
    - debian/rules: drop symlinks.
  * bump up Standards-Version 3.9.4

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 11 May 2013 11:28:08 +0900

uim (1:1.8.5-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/add_cppflags_qt4_common.patch: removed.
    - debian/patches/add_include_qt4_edittest.patch: removed.
    - debian/rules: remove uim.spec.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Mon, 06 May 2013 02:18:49 +0900
