## uim 1.8.6%2Bgh20180114.64e3173

=== debian/changelog ===
uim (1:1.8.6+gh20180114.64e3173-2build2) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-5.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 16 Apr 2018 12:19:39 -0500

uim (1:1.8.6+gh20180114.64e3173-2build1) bionic; urgency=medium

  * No-change rebuild against qtbase-abi-5-9-4.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 27 Feb 2018 09:51:28 -0600

uim (1:1.8.6+gh20180114.64e3173-2) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * eliminate lintian warning: spelling-error-in-patch-description
  * uim-data and uim-plugins breaks/replaces old uim-anthy (Closes: #890068).

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 11 Feb 2018 11:47:26 +0900

uim (1:1.8.6+gh20180114.64e3173-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream git checkout.
  * d/p/pass_cppflags_to_cmake_cxx_flags.patch: removed, imported upstream.
  * uim-anthy pre-depends uim-data (Closes: #877918)
    thanks to Andreas Beckmann <anbe@debian.org>.
  * eliminate lintian warning: insecure-copyright-format-uri

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 24 Jan 2018 01:34:29 +0900

uim (1:1.8.6+gh20180111.cbd2c5e-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream git checkout.
  * Move Vcs-* to salsa.debian.org

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 14 Jan 2018 17:53:34 +0900

uim (1:1.8.6+gh20180106.ec697da-1) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * New upstream git checkout.
  - gtk3: support Wayland backend (Closes: #810739)
  * d/p/do_not_use_run-singletest_sh.patch: removed, imported upstream.
  * d/p/panel_applet_inprocess.patch: removed, imported upstream.
  * d/p/qt5-delayed-candwin.patch: removed, imported upstream.
  * d/p/qt5-do-not-use-private-qt_plugin_prf.patch: removed, imported upstream.
  * d/p/qt5-fix-candwin-unexpected-behavior.patch: removed, imported upstream.
  * d/p/qt5-qt4-fix-toolbar-icon.patch: removed, imported upstream.
  * d/p/fix-lib-deps.patch: removed, imported upstream.
  * Refresh patches.
  * d/README.source: remove dpatch entry and add origin of this package source.
  * upgrade debhelper to 11.
  * bump up Standards-Version 4.1.3.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 07 Jan 2018 18:44:59 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-9) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/control: uim-data depends m17n-db for icons (Closes: #880366)
  * d/p/qt5-fix-candwin-unexpected-behavior.patch: Fix an unexpected behavior
    of a candidate window after d/p/qt5-delayed-candwin.patch.
  * bump up Standards-Version 4.1.2.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Fri, 15 Dec 2017 22:28:51 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-8) unstable; urgency=medium

  [ NOKUBI Takatsugu ]
  * d/libuim-dev.postinst: relink document, closes: #880403

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 01 Nov 2017 08:55:19 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-7) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * d/p/qt5-delayed-candwin.patch: delays a creation of candwin instance
    until it is really needed.
  * d/control: do not conflict uim-gtk3 with ibus
    #873155 is not caused by conflicting between ibus and uim. maybe wayland.

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Thu, 19 Oct 2017 01:13:16 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-6) unstable; urgency=medium

  [ NOKUBI Takatsugu ]
  * debian/libuim-dev.postinst: Invoke dir_to_symlink, closes: #877476
  * debian/rules: Add /var/lib/uim/README, closes: #877632

 -- NOKUBI Takatsugu <knok@daionet.gr.jp>  Wed, 11 Oct 2017 23:11:35 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-5) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]
  * upload to unstable. see debian/NEWS for details.
  * drop Qt4 support (Closes: #875216)
  * bump up Standards-Version 4.1.1.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sat, 30 Sep 2017 11:15:40 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-5~exp2) experimental; urgency=medium

  * upload to experimental due to drastic package arrangement.

  [ HIGUCHI Daisuke (VDR dai) ]
  * do not register uim-toolbar-gtk{,3}-systray as uim-toolbar alternatives
    - d/uim-gtk{2.0,3}.postinst: do not register uim-toolbar-gtk{,3}-systray
    - d/uim-gtk{2.0,3}.preinst: unregister uim-toolbar-gtk{,3}-systray

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 13 Sep 2017 20:11:36 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-5~exp1) experimental; urgency=medium

  * upload to experimental due to drastic package arrangement.

  [ HIGUCHI Daisuke (VDR dai) ]

  * d/uim.{postinst,prerm}: register/unregister all supported modules.
    suggested by Justin B Rye <justin.byam.rye@gmail.com>, thanks.
    - d/NEWS: add entry.
  * d/uim-data.install: do not install ajax-ime and social-ime.
  * drop applet packages: uim-applet-gnome and plasma-widget-uim
    (Closes: #731672).
  * drop anthy (EUC-JP). please use anthy-utf8 instead of it.
    - d/p/support_anthy-0.3.patch: support anthy 0.3 version
      (Closes: #873874, #873739, #873123).
  * split uim-{{gtk2.0,3},{qt,qt5} out into immodule packages (Closes: #863664)
    thanks to Yuriy M. Kaminskiy <yumkam+debian@gmail.com>.
  * resurrect uim-plugin package split out from uim package.
  * mark uim-gtk3 as Conflicts with ibus (Closes: #873155).
  * d/p/qt5-qt4-fix-toolbar-icon.patch: fix preference icon is not displayed
    on qt4/5 toolbar.
  * d/changelog: merge 1:1.8.6+gh20161003.0.d63dadd-3 changelog.
  * d/control: update Breaks/Replaces debian revision due to step forward
    at unstable.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Sun, 03 Sep 2017 09:58:05 +0900

uim (1:1.8.6+gh20161003.0.d63dadd-4) unstable; urgency=medium

  [ HIGUCHI Daisuke (VDR dai) ]

  * Brown paper bag release.
  * debian/rules: remove autotools_dev from dh
  * uim-utils is marked as Multi-Arch: foreign.

 -- HIGUCHI Daisuke (VDR dai) <dai@debian.org>  Wed, 16 Aug 2017 19:10:26 +0900


