## uim 1.8.6+gh20161003.0.d63dadd

=== debian/control ===
Source: uim
Section: libs
Priority: optional
Maintainer: HIGUCHI Daisuke (VDR dai) <dai@debian.org>
Uploaders: NOKUBI Takatsugu <knok@daionet.gr.jp>
Build-Depends: debhelper (>= 10),
	autoconf,
	automake,
	intltool,
	libtool,
	cmake,
	librsvg2-bin,
	libxml-perl,
	m17n-db,
	libanthy-dev,
	libatk1.0-dev,
	libedit-dev,
	libexpat1-dev,
	libfreetype6-dev,
	libgcroots-dev,
	libgtk2.0-dev (>= 2.10.1),
	libgtk-3-dev,
	libncurses5-dev,
	libm17n-dev,
	libpanel-applet-dev (>= 3.22),
	libpango1.0-dev,
	libqt4-dev (>= 4:4.8.0),
	libx11-dev,
	libxext-dev,
	libxft-dev,
	kdelibs5-dev,
	qtbase5-dev,
	qtbase5-private-dev,
	libqt5x11extras5-dev,
	x11proto-core-dev
Standards-Version: 4.0.0
Homepage: https://github.com/uim/uim/wiki
Vcs-Git: https://anonscm.debian.org/git/collab-maint/uim.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/uim.git

Package: uim-common
Section: utils
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Universal Input Method - common files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains common files for the uim packages.

Package: uim
Section: utils
Architecture: all
Depends: ${misc:Depends},
	uim-common (= ${source:Version}),
	uim-gtk2.0 (>= ${source:Version}),
	uim-qt (>= ${source:Version}),
	uim-qt5 (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version}),
	uim-xim (>= ${source:Version}),
	uim-utils (>= ${source:Version}),
	uim-fep (>= ${source:Version})
Description: Universal Input Method - metapackage
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package is a dummy convenience package designed to install the basic
 uim infrastructure.  It does not depend on any plugin packages, because
 uim is not limited to one input method. Packages are available for
 various input methods, including the following:
  * Japanese
   - uim-anthy: Anthy plugin for uim;
   - uim-skk:   SKK plugin for uim.
  * Chinese
   - uim-pinyin: Pinyin input support for uim.
  * Korean
   - uim-byeoru: Byeoru input support for uim.
  * Multilingual input method
   - uim-m17n: M17n plugin for uim.

Package: libuim8
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Universal Input Method - uim library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared libraries for uim.

Package: libuim-scm0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Universal Input Method - uim-scm API library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared library for uim-scm API.

Package: libuim-custom2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Universal Input Method - uim-custom API library
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the shared library for uim-custom API.

Package: libuim-data
Section: utils
Architecture: all
Pre-Depends: dpkg (>= 1.15.7.2)
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Recommends: wordlist, im-config
Multi-Arch: foreign
Description: Universal Input Method - data files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the data files for uim.

Package: libuim-plugins
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, uim-common (>= ${source:Version})
Multi-Arch: same
Description: Universal Input Method - plugin files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains the plugin files for uim.

Package: libuim-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
	libuim8 (= ${binary:Version}),
	libuim-custom2 (= ${binary:Version}),
	libuim-scm0 (= ${binary:Version}),
	uim-common (>= ${source:Version}),
	libgcroots-dev
Multi-Arch: same
Description: Universal Input Method - development files
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains header files and static libraries for uim development.

Package: uim-gtk2.0
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version})
Suggests: uim-dict-gtk
Description: Universal Input Method - GTK+2.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+2.0
 applications.

Package: uim-gtk3
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version})
Suggests: uim-dict-gtk3
Description: Universal Input Method - GTK+3.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains an IM-module to support the use of uim on GTK+3.0
 applications.

Package: uim-qt
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version})
Description: Universal Input Method - Qt 4.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains some graphical utilities (but not a full IM-module)
 using Qt 4.x.

Package: uim-qt5
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version})
Description: Universal Input Method - Qt 5.x front end
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains some graphical utilities (but not a full IM-module)
 using Qt 5.x.

Package: uim-xim
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-common (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-utils (>= ${source:Version})
Suggests: uim-gtk2.0, uim-gtk3, uim-qt, uim-qt5
Description: Universal Input Method - XIM compatibility interface
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package provides a bridge allowing software that can only interface
 with the X Input Method to work with uim.

Package: uim-applet-gnome
Section: gnome
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version}),
	uim-gtk3 (>= ${source:Version})
Description: Universal Input Method - GNOME applet
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a GNOME applet which can configure uim, monitor its
 conversion mode, and so on.

Package: plasma-widget-uim
Section: kde
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-utils (>= ${source:Version}),
	libuim-data (>= ${source:Version}),
	uim-common (>= ${source:Version}),
	uim-qt (>= ${source:Version})
Description: Universal Input Method - KDE Plasma widget
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
 or SKK (for Japanese), Pinyin (for Chinese), Byeoru (for Korean), and
 M17n (for many other languages). Most of its functions are implemented in
 Scheme, so it's very simple and flexible.
 .
 This package contains a KDE Plasma widget which can configure uim, monitor
 its conversion mode, and so on.

Package: uim-dict-gtk
Section: x11
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
	uim-common (>= ${source:Version})
Description: Universal Input Method - GTK+2.x Japanese dictionary tool
 Uim is an input method module library which supports various scripts and can
 act as a front end for a range of input methods, including Anthy, Canna,
